Show / Hide Table of Contents

# Class RestVoiceRegion

Represents a REST-based voice region.

##### Inheritance

System.Object
RestEntity<System.String>
RestVoiceRegion

##### Implements

IEntity<System.String>
IVoiceRegion

##### Inherited Members

RestEntity<String>.Id
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class RestVoiceRegion : RestEntity<string>, IEntity<string>, IVoiceRegion

### Properties

| Improve this Doc View Source

#### IsCustom

Gets a value that indicates whether this voice region is custom-made for events.

##### Declaration

    public bool IsCustom { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if this is a custom voice region (used for events/etc); otherwise `false`/

| Improve this Doc View Source

#### IsDeprecated

Gets a value that indicates whether this voice region is no longer being maintained.

##### Declaration

    public bool IsDeprecated { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if this is a deprecated voice region; otherwise `false`.

| Improve this Doc View Source

#### IsOptimal

Gets a value that indicates whether this voice region is optimal for your client in terms of latency.

##### Declaration

    public bool IsOptimal { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if this voice region is the closest to your machine; otherwise `false` .

| Improve this Doc View Source

#### IsVip

Gets a value that indicates whether or not this voice region is exclusive to partnered servers.

##### Declaration

    public bool IsVip { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if this voice region is exclusive to VIP accounts; otherwise `false`.

| Improve this Doc View Source

#### Name

Gets the name of this voice region.

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string that represents the human-readable name of this voice region (e.g. `Central Europe`).

### Methods

| Improve this Doc View Source

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()

### Implements

IEntity<TId>
IVoiceRegion